using System.Collections.Generic;

namespace Stat.IDAL
{
    public interface IFriendLink
    {
        IList<Model.FriendLink> Get();
        IList<Model.FriendLink> Get(int id);
        IList<Model.FriendLink> GetcType(int cType);
        bool Update(Model.FriendLink model);
        bool Insert(Model.FriendLink model);
        bool Delete(int id);
        IList<Model.FriendLink> Get(int num, int state, int style, int cType);
        IList<Model.FriendLink> Get(int num, int state, int style, int cType, int Position);
    }
}
